Package in.cdac.medinfo.csnotk.csnolib.disb.model

## Class RecordStatus

- java.lang.Object
- - in.cdac.medinfo.csnotk.csnolib.disb.model.RecordStatus

- All Implemented Interfaces:
    `java.io.Serializable`

      public class RecordStatus
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RecordStatus()` |
    `RecordStatus​(int id, java.lang.String name)` |
    `RecordStatus​(java.lang.String name)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<GenericDrug>` | `getGenericDrugs()` |
    `int` | `getId()` |
    `java.util.List<Manufacturer>` | `getManufacturers()` |
    `java.util.List<MedicinalProduct>` | `getMedicinalProducts()` |
    `java.util.List<MedicineDetail>` | `getMedicineDetails()` |
    `java.lang.String` | `getName()` |
    `java.util.List<SubstanceDetail>` | `getSubstanceDetails()` |
    `void` | `setGenericDrugs​(java.util.List<GenericDrug> genericDrugs)` |
    `void` | `setId​(int id)` |
    `void` | `setManufacturers​(java.util.List<Manufacturer> manufacturers)` |
    `void` | `setMedicinalProducts​(java.util.List<MedicinalProduct> medicinalProducts)` |
    `void` | `setMedicineDetails​(java.util.List<MedicineDetail> medicineDetails)` |
    `void` | `setName​(java.lang.String name)` |
    `void` | `setSubstanceDetails​(java.util.List<SubstanceDetail> substanceDetails)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RecordStatus

          public RecordStatus()

    - #### RecordStatus

          public RecordStatus​(java.lang.String name)

    - #### RecordStatus

          public RecordStatus​(int id,
                              java.lang.String name)

  - ### Method Detail

    - #### getManufacturers

          public java.util.List<Manufacturer> getManufacturers()

    - #### setManufacturers

          public void setManufacturers​(java.util.List<Manufacturer> manufacturers)

    - #### getMedicinalProducts

          public java.util.List<MedicinalProduct> getMedicinalProducts()

    - #### setMedicinalProducts

          public void setMedicinalProducts​(java.util.List<MedicinalProduct> medicinalProducts)

    - #### getId

          public int getId()

    - #### setId

          public void setId​(int id)

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName​(java.lang.String name)

    - #### getMedicineDetails

          public java.util.List<MedicineDetail> getMedicineDetails()

    - #### setMedicineDetails

          public void setMedicineDetails​(java.util.List<MedicineDetail> medicineDetails)

    - #### getGenericDrugs

          public java.util.List<GenericDrug> getGenericDrugs()

    - #### setGenericDrugs

          public void setGenericDrugs​(java.util.List<GenericDrug> genericDrugs)

    - #### getSubstanceDetails

          public java.util.List<SubstanceDetail> getSubstanceDetails()

    - #### setSubstanceDetails

          public void setSubstanceDetails​(java.util.List<SubstanceDetail> substanceDetails)